
%define python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Mercurial -- a distributed SCM
Name: mercurial
Version: 4.3
Release: 1
License: GPLv2+
Group: Development/Tools
URL: http://www.selenic.com/mercurial/
Source0: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz
Source1: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz.asc

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: coreutils
BuildRequires: gettext, gettext-progs
BuildRequires: make
BuildRequires: pkg-config
BuildRequires: python >= 2.7.13-1
BuildRequires: python-devel >= 2.7.13-1
BuildRequires: python-docutils >= 0.13.1-1

Requires: python >= 2.7.13-1

Provides: hg = %{version}-%{release}


%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension


%package hgk
Summary:	Hgk interface for mercurial
Group:		Development/Tools
Requires:	hg = %{version}-%{release}
Requires:	tk >= 8.6.7-1

%description hgk
A Mercurial extension for displaying the change history graphically
using Tcl/Tk.  Displays branches and merges in an easily
understandable way and shows diffs for each revision.  Based on
gitk for the git SCM.

Adds the "hg view" command.  See 
http://www.selenic.com/mercurial/wiki/index.cgi/UsingHgk for more
documentation.


%prep
%setup -q


%build
export PATH=/opt/freeware/bin:$PATH
export CC=xlc_r
make all


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

make install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} MANDIR=%{_mandir}
make install-doc DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} MANDIR=%{_mandir}

install -D -m 755 contrib/hgk ${RPM_BUILD_ROOT}%{_libexecdir}/mercurial/hgk
install -m 755 contrib/hg-ssh ${RPM_BUILD_ROOT}%{_bindir}

bash_completion_dir=${RPM_BUILD_ROOT}%{_sysconfdir}/bash_completion.d
mkdir -p ${bash_completion_dir}
install -m 644 contrib/bash_completion ${bash_completion_dir}/mercurial.sh

zsh_completion_dir=${RPM_BUILD_ROOT}%{_datadir}/zsh/site-functions
mkdir -p ${zsh_completion_dir}
install -m 644 contrib/zsh_completion ${zsh_completion_dir}/_mercurial

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d

cat >hgk.rc <<EOF
[extensions]
# enable hgk extension ('hg help' shows 'view' as a command)
hgk=

[hgk]
path=%{_libexecdir}/mercurial/hgk
EOF
install -m 644 hgk.rc ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d

cat > certs.rc <<EOF
# see: http://mercurial.selenic.com/wiki/CACertificates
[web]
cacerts = /etc/pki/tls/certs/ca-bundle.crt
EOF
install -m 644 certs.rc ${RPM_BUILD_ROOT}%{_sysconfdir}/mercurial/hgrc.d

mv ${RPM_BUILD_ROOT}%{python_sitearch}/mercurial/locale ${RPM_BUILD_ROOT}%{_datadir}/locale
rm -rf ${RPM_BUILD_ROOT}%{python_sitearch}/mercurial/locale

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CONTRIBUTORS COPYING doc/README doc/hg*.txt doc/hg*.html *.cgi contrib/*.fcgi
%doc %attr(644,root,system) contrib/*.svg
%{_bindir}/*
%dir %{_sysconfdir}/bash_completion.d/
%config(noreplace) %{_sysconfdir}/bash_completion.d/mercurial.sh
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/certs.rc
%attr(644,root,system) %{_mandir}/man?/hg*
%{_datadir}/locale/*/*/*
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mercurial
%{python_sitearch}/hgext
%{python_sitearch}/mercurial*
/usr/bin/*


%files hgk
%defattr(-,root,system,-)
%{_libexecdir}/mercurial
%{_sysconfdir}/mercurial/hgrc.d/hgk.rc


%changelog
* Wed Nov 15 2017 Michael Perzl <michael@perzl.org> - 4.3-1
- updated to version 4.3

* Wed Nov 15 2017 Michael Perzl <michael@perzl.org> - 4.2.3-1
- updated to version 4.2.3

* Wed Jul 19 2017 Michael Perzl <michael@perzl.org> - 4.2.2-1
- updated to version 4.2.2

* Wed Jul 19 2017 Michael Perzl <michael@perzl.org> - 4.2.1-1
- updated to version 4.2.1

* Mon May 29 2017 Michael Perzl <michael@perzl.org> - 4.2-1
- updated to version 4.2

* Fri Mar 10 2017 Michael Perzl <michael@perzl.org> - 4.1.1-1
- updated to version 4.1.1

* Mon Feb 13 2017 Michael Perzl <michael@perzl.org> - 4.1-1
- updated to version 4.1

* Mon Jan 16 2017 Michael Perzl <michael@perzl.org> - 4.0.2-1
- updated to version 4.0.2

* Fri Dec 02 2016 Michael Perzl <michael@perzl.org> - 4.0.1-1
- updated to version 4.0.1

* Fri Dec 02 2016 Michael Perzl <michael@perzl.org> - 4.0-1
- updated to version 4.0

* Fri Oct 07 2016 Michael Perzl <michael@perzl.org> - 3.9.2-1
- updated to version 3.9.2

* Fri Oct 07 2016 Michael Perzl <michael@perzl.org> - 3.9.1-1
- updated to version 3.9.1

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.9-1
- updated to version 3.9

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.8.4-1
- updated to version 3.8.4

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.8.3-1
- updated to version 3.8.3

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.8.2-1
- updated to version 3.8.2

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.8.1-1
- updated to version 3.8.1

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.8-1
- updated to version 3.8

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.7.3-1
- updated to version 3.7.3

* Wed Aug 24 2016 Michael Perzl <michael@perzl.org> - 3.7.2-1
- updated to version 3.7.2

* Fri Feb 26 2016 Michael Perzl <michael@perzl.org> - 3.7.1-1
- updated to version 3.7.1

* Tue Feb 02 2016 Michael Perzl <michael@perzl.org> - 3.7-1
- updated to version 3.7

* Tue Feb 02 2016 Michael Perzl <michael@perzl.org> - 3.6.3-1
- updated to version 3.6.3

* Fri Jan 01 2016 Michael Perzl <michael@perzl.org> - 3.6.2-1
- updated to version 3.6.2

* Fri Jan 01 2016 Michael Perzl <michael@perzl.org> - 3.6.1-1
- updated to version 3.6.1

* Fri Jan 01 2016 Michael Perzl <michael@perzl.org> - 3.6-1
- updated to version 3.6

* Thu Oct 22 2015 Michael Perzl <michael@perzl.org> - 3.5.2-1
- updated to version 3.5.2

* Mon Sep 21 2015 Michael Perzl <michael@perzl.org> - 3.5.1-1
- updated to version 3.5.1

* Wed Jul 08 2015 Michael Perzl <michael@perzl.org> - 3.4.2-1
- updated to version 3.4.2

* Wed Jul 08 2015 Michael Perzl <michael@perzl.org> - 3.4.1-1
- updated to version 3.4.1

* Wed Jul 08 2015 Michael Perzl <michael@perzl.org> - 3.4-1
- updated to version 3.4

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.3.3-1
- updated to version 3.3.3

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.3.2-1
- updated to version 3.3.2

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.3.1-1
- updated to version 3.3.1

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.3-1
- updated to version 3.3

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.2.4-1
- updated to version 3.2.4

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.2.3-1
- updated to version 3.2.3

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 3.2.2-1
- updated to version 3.2.2

* Fri Nov 21 2014 Michael Perzl <michael@perzl.org> - 3.2.1-1
- updated to version 3.2.1

* Mon Nov 10 2014 Michael Perzl <michael@perzl.org> - 3.2-1
- updated to version 3.2

* Thu Oct 02 2014 Michael Perzl <michael@perzl.org> - 3.1.2-1
- updated to version 3.1.2

* Tue Sep 02 2014 Michael Perzl <michael@perzl.org> - 3.1.1-1
- updated to version 3.1.1

* Mon Aug 04 2014 Michael Perzl <michael@perzl.org> - 3.1-1
- updated to version 3.1

* Wed Jul 09 2014 Michael Perzl <michael@perzl.org> - 3.0.2-1
- updated to version 3.0.2

* Sun Apr 27 2014 Michael Perzl <michael@perzl.org> - 2.9.2-1
- updated to version 2.9.2

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.9.1-1
- updated to version 2.9.1

* Fri Feb 07 2014 Michael Perzl <michael@perzl.org> - 2.9-1
- updated to version 2.9

* Fri Feb 07 2014 Michael Perzl <michael@perzl.org> - 2.8.2-1
- updated to version 2.8.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.8.1-1
- updated to version 2.8.1

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.7.2-1
- updated to version 2.7.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.6.3-1
- updated to version 2.6.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.5.4-1
- updated to version 2.5.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.4.2-1
- updated to version 2.4.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.3.2-1
- updated to version 2.3.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.2.3-1
- updated to version 2.2.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.1.2-1
- updated to version 2.1.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.9.3-1
- updated to version 1.9.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.8.4-1
- updated to version 1.8.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.6.4-1
- updated to version 1.6.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.5.4-1
- updated to version 1.5.4

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.4.3-1
- updated to version 1.4.3

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.1.2-1
- updated to version 1.1.2

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.0.2-1
- first version for AIX V5.1 and higher
